### Constructor

# Gdk ContentProvidernew_typed

#### Declaration [src]

    GdkContentProvider*
    gdk_content_provider_new_typed (
      GType type,
      ...
    )

#### Description [src]

Create a content provider that provides the value of the given `type`.

The value is provided using G_VALUE_COLLECT(), so the same rules apply as when calling `g_object_new()` or g_object_set().

This method is not directly available to language bindings.

#### Parameters

`type`

  Type: `GType`

  Type of value to follow.

`...`

  Type: ``

  Value.

#### Return value

Type: `GdkContentProvider`

A new `GdkContentProvider`

The caller of the function takes ownership of the data, and is responsible for freeing it.